Package com.emc.documentum.rest.model

# Class LifecycleState

java.lang.Object
com.emc.documentum.rest.model.LifecycleState

public class LifecycleState extends Object
Lifecycle State resource

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `LifecycleState.ReturnCondition`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LifecycleState()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Lifecycle.Procedure`
  `getAction()`
  `Boolean`
  `getAllowAttach()`
  `Boolean`
  `getAllowDemote()`
  `Boolean`
  `getAllowReturnToBase()`
  `Boolean`
  `getAllowSchedule()`
  `String`
  `getDescription()`
  `Lifecycle.EntryCriteria`
  `getEntryCriteria()`
  `Boolean`
  `getExceptional()`
  `String`
  `getExceptionState()`
  `Integer`
  `getIndex()`
  `String`
  `getName()`
  `Integer`
  `getNo()`
  `List<LifecycleState.ReturnCondition>`
  `getReturnConditions()`
  `Lifecycle.Module`
  `getSystemAction()`
  `String`
  `getType()`
  `String`
  `getTypeOverrideId()`
  `Lifecycle.Procedure`
  `getUserAction()`
  `Lifecycle.Module`
  `getUserActionService()`
  `Lifecycle.Procedure`
  `getUserCriteria()`
  `Lifecycle.Module`
  `getUserCriteriaService()`
  `Lifecycle.Procedure`
  `getUserPostAction()`
  `Lifecycle.Module`
  `getUserPostService()`
  `void`
  `setAction(Lifecycle.Procedure action)`
  `void`
  `setAllowAttach(Boolean allowAttach)`
  `void`
  `setAllowDemote(Boolean allowDemote)`
  `void`
  `setAllowReturnToBase(Boolean allowReturnToBase)`
  `void`
  `setAllowSchedule(Boolean allowSchedule)`
  `void`
  `setDescription(String description)`
  `void`
  `setEntryCriteria(Lifecycle.EntryCriteria entryCriteria)`
  `void`
  `setExceptional(Boolean exceptional)`
  `void`
  `setExceptionState(String exceptionState)`
  `void`
  `setIndex(Integer index)`
  `void`
  `setName(String name)`
  `void`
  `setNo(Integer no)`
  `void`
  `setReturnConditions(List<LifecycleState.ReturnCondition> returnConditions)`
  `void`
  `setSystemAction(Lifecycle.Module systemAction)`
  `void`
  `setType(String type)`
  `void`
  `setTypeOverrideId(String typeOverrideId)`
  `void`
  `setUserAction(Lifecycle.Procedure userAction)`
  `void`
  `setUserActionService(Lifecycle.Module userActionService)`
  `void`
  `setUserCriteria(Lifecycle.Procedure userCriteria)`
  `void`
  `setUserCriteriaService(Lifecycle.Module userCriteriaService)`
  `void`
  `setUserPostAction(Lifecycle.Procedure userPostAction)`
  `void`
  `setUserPostService(Lifecycle.Module userPostService)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LifecycleState

    public LifecycleState()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getNo

    public Integer getNo()

  - ### setNo

    public void setNo(Integer no)

  - ### getIndex

    public Integer getIndex()

  - ### setIndex

    public void setIndex(Integer index)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getExceptional

    public Boolean getExceptional()

  - ### setExceptional

    public void setExceptional(Boolean exceptional)

  - ### getExceptionState

    public String getExceptionState()

  - ### setExceptionState

    public void setExceptionState(String exceptionState)

  - ### getAllowAttach

    public Boolean getAllowAttach()

  - ### setAllowAttach

    public void setAllowAttach(Boolean allowAttach)

  - ### getAllowSchedule

    public Boolean getAllowSchedule()

  - ### setAllowSchedule

    public void setAllowSchedule(Boolean allowSchedule)

  - ### getAllowReturnToBase

    public Boolean getAllowReturnToBase()

  - ### setAllowReturnToBase

    public void setAllowReturnToBase(Boolean allowReturnToBase)

  - ### getAllowDemote

    public Boolean getAllowDemote()

  - ### setAllowDemote

    public void setAllowDemote(Boolean allowDemote)

  - ### getReturnConditions

    public List<LifecycleState.ReturnCondition> getReturnConditions()

  - ### setReturnConditions

    public void setReturnConditions(List<LifecycleState.ReturnCondition> returnConditions)

  - ### getEntryCriteria

    public Lifecycle.EntryCriteria getEntryCriteria()

  - ### setEntryCriteria

    public void setEntryCriteria(Lifecycle.EntryCriteria entryCriteria)

  - ### getUserCriteria

    public Lifecycle.Procedure getUserCriteria()

  - ### setUserCriteria

    public void setUserCriteria(Lifecycle.Procedure userCriteria)

  - ### getAction

    public Lifecycle.Procedure getAction()

  - ### setAction

    public void setAction(Lifecycle.Procedure action)

  - ### getUserAction

    public Lifecycle.Procedure getUserAction()

  - ### setUserAction

    public void setUserAction(Lifecycle.Procedure userAction)

  - ### getUserPostAction

    public Lifecycle.Procedure getUserPostAction()

  - ### setUserPostAction

    public void setUserPostAction(Lifecycle.Procedure userPostAction)

  - ### getTypeOverrideId

    public String getTypeOverrideId()

  - ### setTypeOverrideId

    public void setTypeOverrideId(String typeOverrideId)

  - ### getUserCriteriaService

    public Lifecycle.Module getUserCriteriaService()

  - ### setUserCriteriaService

    public void setUserCriteriaService(Lifecycle.Module userCriteriaService)

  - ### getUserActionService

    public Lifecycle.Module getUserActionService()

  - ### setUserActionService

    public void setUserActionService(Lifecycle.Module userActionService)

  - ### getUserPostService

    public Lifecycle.Module getUserPostService()

  - ### setUserPostService

    public void setUserPostService(Lifecycle.Module userPostService)

  - ### getSystemAction

    public Lifecycle.Module getSystemAction()

  - ### setSystemAction

    public void setSystemAction(Lifecycle.Module systemAction)